package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * @author jitwxs
 * @date 2024年02月05日 11:08
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Adrcof {

    private String inr = NULLSTR;

    private String branch = NULLSTR;

    private String extkey = NULLSTR;

    private String needcustom = NULLSTR;

    private String objinr = NULLSTR;

    private String objtyp = NULLSTR;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date credat = NULLDATE;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date upddat = NULLDATE;

}
