package com.brilliance.isc.bo;

import java.util.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.fasterxml.jackson.annotation.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;



/**
 * TABLE:cfaerr:
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Cfaerr{

    //Internal Unique ID
    private String inr = NULLSTR;

    //Version
    private String ver = NULLSTR;

    //对应EBLINR
    private String eblinr = NULLSTR;

    //申报号码
    private String rptno = NULLSTR;

    //创建日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date dat = NULLDATE;

    //错误内容
    private String errtxt = NULLSTR;

    //状态C:Create D:Done
    private String sta = NULLSTR;

    //对应文件名
    private String filnam = NULLSTR;



}

