package com.brilliance.isc.bo.domlc;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import java.util.Date;
import java.util.List;


@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Elcsnd {

    private String elctyp;			//  报文类型
    private List elcstm;			//  报文摘要信息
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date utlcredat;			//  创建截止时间
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date credat;			//  创建起始日期
    private String shwdel;			//  显示删除
    private String bchkey;

}
