package com.brilliance.isc.vo.funds;

import com.brilliance.isc.common.vo.CommonResult;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 进口信用证入口交易查询条件字段
 */
@Data
public class FttselQueryVo extends CommonResult {

    private String seaownref;
    private String seanam;

    private String opndatfrom;
    private String opndatto;
    /**
     * 币种
     */
    private String seacur;
    /**
     * 金额
     */
    private BigDecimal seaamt;
    /**
     * 金额
     */
    private BigDecimal seaamtfr;

    /**
     * 金额
     */
    private BigDecimal seaamtto;

    private String ownusr;
    private String usr;
    private String acc;
    private String acc2;
    private String searef;
    private String ptyextkey;
    private String ptynam;
    private String seapty;
    private String searol;
    private String usrextkey;
    private String seasta;
    private String accmng;
    private String fxtyp;

    private List<String> fxtypList;

    /**
     * 是否闭卷
     */
    private String isClosed;


    /**
     * 排序字段
     */
    private String column;

    /**
     * 正序倒序
     */
    private String order;

}
