package com.brilliance.isc.vo.manager;

import com.brilliance.isc.model.BaseEntity;
import lombok.Data;

import java.util.List;

@Data
public class YptuidVo extends BaseEntity {
    /**
     * 主键
     */
    private String inr;

    /**
     * 签章机构ID
     */
    private String userid;

    /**
     *  签章ID
     */
    private String qzid;

    /**
     * 版本号
     */
    private String ver;

    /**
     * 机构编码
     */
    private String branch;

    /**
     * 签章类型
     */
    private String stbtbl;

    /**
     * 中文关键字
     */
    private String keyword;

    /**
     * 英文关键字
     */
    private String enkeyword;

    /**
     * 偏移坐标X
     */
    private Integer offsetcoordx;

    /**
     * 偏移坐标Y
     */
    private Integer offsetcoordy;

    /**
     * 签章图片宽度
     */
    private Integer imagewidth;

    /**
     * 签章图片高度
     */
    private Integer imageheight;

    /**
     * 机构列表
     */
    private List<String> branchList;
}
