package com.brilliance.isc.vo.report;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class FinChkReportVo {
    private String objtyp;//业务类型
    private String objinr;//inr
    private String bchname; //分行名称
    private String branchname;//支行名称
    private String branch;//分行机构号
    private String zbranch;//支行机构号
    private String branchinr;//所属机构inr
    private String bchkeyinr;//分行机构inr
    private String cur;//币种
    private BigDecimal amt;//金额
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date comdat; //付款日期
    private String ownref; //业务编号
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date prechkdat; //预计检核日期
    private String extkey; //客户号
    private String ptyname;// 客户名称
}
