package com.brilliance.isc.esb.api.cecm;

import com.brilliance.isc.esb.model.Req;
import com.brilliance.isc.esb.model.Res;
import com.brilliance.isc.esb.model.clm.ReqCM51;
import com.brilliance.isc.esb.model.clm.ResCM51;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * CECM 信贷风险流程管理系统请求方
 *
 * @restApi
 */
//@RequestMapping("/CECM")
public interface CecmClient {
    /**
     * CM51 额度转授权信息查询
     *
     * @param reqCM51
     * @return
     */
    @PostMapping("/CM51")
    Res<ResCM51> callCM51(@RequestBody Req<ReqCM51> reqCM51);
}
