package com.brilliance.isc.esb.model.clm;


import java.util.List;

public class ResCL42  extends AbsResCL {

    /**
     * 后台流水号[0,40]
     */
    public String EDLSXH;
    /**
     * 客户ECIF号[0,40]
     */
    public String ECIFNO;
    /**
     * 客户名称[0,100]
     */
    public String KEHUMC;
    /**
     * 同业SWIFT号[0,40]
     */
    public String SWIFTH;
    /**
     * 客户类型[0,10]
     */
    public String KEHULX;
    /**
     * 总记录数[0,10]
     */
    public String ZJLSHU;
    /**
     * 备注信息1[0,200]
     */
    public String Attribute1;
    /**
     * 备注信息2[0,200]
     */
    public String Attribute2;
    /**
     * 备注信息3[0,200]
     */
    public String Attribute3;

    public List<ItemFCL421> FCL421;

    public List<ItemFCL422> FCL422;

    public static class ItemFCL422 {

        /**
         * 质押物编号
         */
        public String DZYWBH;
    }

    public static class ItemFCL421 {

        /**
         * 额度类型[0,10]
         */
        public String EDLEIX;
        /**
         * 入账机构[0,40]
         */
        public String RUZHJG;
        /**
         * 额度编号[0,40]
         */
        public String EDBHAO;
        /**
         * 额度明细编号[0,40]
         */
        public String EDMXBH;
        /**
         * 额度品种代码[0,40]
         */
        public String EDPZDM;
        /**
         * 额度明细币种[0,10]
         */
        public String EDMXBZ;
        /**
         * 保证金比例[0,10]
         */
        public String BZHJBL;
        /**
         * 产品授信额度[0,24]
         */
        public String CPSXED;
        /**
         * 产品可用额度[0,24]
         */
        public String CPKYED;
        /**
         * 产品已用额度[0,24]
         */
        public String CPYYED;
        /**
         * 产品授信敞口[0,24]
         */
        public String CPCKOU;
        /**
         * 产品可用敞口[0,24]
         */
        public String CPKYCK;
        /**
         * 产品已用敞口[0,24]
         */
        public String CPYYCK;
        /**
         * 表外规模上限当前值[0,24]
         */
        public String CPBWGM;
        /**
         * 表外规模上限可用值[0,24]
         */
        public String CPBWKY;
        /**
         * 表外规模上限已用值[0,24]
         */
        public String CPBWYY;
        /**
         * 是否可循环[0,1]
         */
        public String SHFKXH;
        /**
         * 是否可串用[0,1]
         */
        public String SHFKCY;
        /**
         * 串用说明[0,250]
         */
        public String CMCYSM;
        /**
         * 产品额度生效日期[0,10]
         */
        public String CPSXRQ;
        /**
         * 产品额度到期日[0,10]
         */
        public String CPDQRQ;
        /**
         * 额度产品状态[0,10]
         */
        public String EDCPZT;
        /**
         * 银行账户信用风险暴露分类[0,40]
         */
        public String CMBLFL;
        /**
         * 暴露分类说明[0,200]
         */
        public String BLFLSM;
        /**
         * 备注信息1[0,200]
         */
        public String Aftribute1;
        /**
         * 备注信息2[0,200]
         */
        public String Aftribute2;
        /**
         * 备注信息3[0,200]
         */
        public String Aftribute3;
    }

    public ResCL42() {
    }

    public ResCL42(String EDLSXH, String ECIFNO, String KEHUMC, String SWIFTH, String KEHULX, String ZJLSHU, String attribute1, String attribute2, String attribute3, List<ItemFCL421> FCL421, List<ItemFCL422> FCL422) {
        this.EDLSXH = EDLSXH;
        this.ECIFNO = ECIFNO;
        this.KEHUMC = KEHUMC;
        this.SWIFTH = SWIFTH;
        this.KEHULX = KEHULX;
        this.ZJLSHU = ZJLSHU;
        Attribute1 = attribute1;
        Attribute2 = attribute2;
        Attribute3 = attribute3;
        this.FCL421 = FCL421;
        this.FCL422 = FCL422;
    }
}
