package com.brilliance.isc.esb.model.embfe;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;

/**
 * 电证来报
 */
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ReqDZL1 {
    /**
     *传输标志
     * <p>0：‘报文内容’不大于60k时将人行xml报文填充到sop域‘报文内容’中
     * 1：‘报文内容’大于60k时将人行xml报文落地成文件，将文件路径填充到‘文件路径’</p>
     */
    public String TRAFLG;
    /**
     *文件路径
     */
    public String RCVPAT;
    /**
     *报文内容
     */
    public String RCVMSG;
    /**
     * 备注1
     */
    public String RMK001;
    /**
     * 备注2
     */
    public String RMK002;
    /**
     * 备注3
     */
    public String RMK003;
    /**
     * 备注4
     */
    public String RMK004;
    /**
     * 备注5
     */
    public String RMK005;
}
