package com.brilliance.isc.esb.model.hx;

/**
 * 8486 根据业务编号查询一段时间内的直通式交易状态（小额查）对外请求对象
 */
public class Req8486 {

    /**
     * 营业机构号 [0,4]
     */
    public String YNGYJG;

    /**
     * 报文种类 [0,1]
     */
    public String BAOWZL;

    /**
     * 业务类型 [0,1]
     */
    public String YWU1LX;

    /**
     * 起始日期 [0,8]
     */
    public String QISHRQ;

    /**
     * 终止日期 [0,8]
     */
    public String ZZHIRQ;

    /**
     * 起始笔数 [0,4]
     */
    public String QISHBS;

    /**
     * 查询笔数 [0,2]
     */
    public String CXUNBS;

    /**
     * 交易金额 [15,2]
     */
    public String JIO1JE;

    /**
     * 交易金额 [15,2]
     */
    public String JIOYJE;

    /**
     * 业务类型 [0,1]
     */
    public String YEWULX;

    /**
     * 交换场次 [0,1]
     */
    public String JIOHCC;

    /**
     * 入帐日期 [0,8]
     */
    public String RUZHRQ;

    /**
     * 报文序列号 [0,20]
     */
    public String MSGSNO;

    /**
     * 人行状态 [0,4]
     */
    public String RENHZT;

    /**
     * 接收参与机构 [0,14]
     */
    public String JSCYJG;

    /**
     * 报文标识号 [0,35]
     */
    public String BAWBSH;

    /**
     * 业务编号 [0,16]
     */
    public String YEWUBH;

    /**
     * 币种 [0,2]
     */
    public String BIZHON;

    /**
     * 报文业务类型 [0,1]
     */
    public String BWYWLX;

    /**
     * 参数说明 [0,20]
     */
    public String CANSSM;

    /**
     * 业务类型 [0,5]
     */
    public String YWLXDM;

    /**
     * 明细标识号 [0,16]
     */
    public String MXIBSH;

    /**
     * 收款人帐号 [0,32]
     */
    public String SHKRZH;

    /**
     * 付款人帐号 [0,32]
     */
    public String FUKRZH;

    /**
     * 柜员代号 [0,6]
     */
    public String GUIYDH;

    /**
     * 来帐借记笔数 [0,10]
     */
    public String IDRQNT;

    /**
     * 报文类型 [0,10]
     */
    public String BWLXDH;

    public Req8486() {
    }

    public Req8486(String YNGYJG, String BAOWZL, String YWU1LX, String QISHRQ, String ZZHIRQ, String QISHBS, String CXUNBS, String JIO1JE, String JIOYJE, String YEWULX, String JIOHCC, String RUZHRQ, String MSGSNO, String RENHZT, String JSCYJG, String BAWBSH, String YEWUBH, String BIZHON, String BWYWLX, String CANSSM, String YWLXDM, String MXIBSH, String SHKRZH, String FUKRZH, String GUIYDH, String IDRQNT, String BWLXDH) {
        this.YNGYJG = YNGYJG;
        this.BAOWZL = BAOWZL;
        this.YWU1LX = YWU1LX;
        this.QISHRQ = QISHRQ;
        this.ZZHIRQ = ZZHIRQ;
        this.QISHBS = QISHBS;
        this.CXUNBS = CXUNBS;
        this.JIO1JE = JIO1JE;
        this.JIOYJE = JIOYJE;
        this.YEWULX = YEWULX;
        this.JIOHCC = JIOHCC;
        this.RUZHRQ = RUZHRQ;
        this.MSGSNO = MSGSNO;
        this.RENHZT = RENHZT;
        this.JSCYJG = JSCYJG;
        this.BAWBSH = BAWBSH;
        this.YEWUBH = YEWUBH;
        this.BIZHON = BIZHON;
        this.BWYWLX = BWYWLX;
        this.CANSSM = CANSSM;
        this.YWLXDM = YWLXDM;
        this.MXIBSH = MXIBSH;
        this.SHKRZH = SHKRZH;
        this.FUKRZH = FUKRZH;
        this.GUIYDH = GUIYDH;
        this.IDRQNT = IDRQNT;
        this.BWLXDH = BWLXDH;
    }
}
