package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;

/**
 * 0905  对公ECIF系统提供客户信息详细查询响应
 */
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerRes0905 {
    /**
     * 客户号
     */
    public String extkey;
    /**
     * 客户类别
     */
    public String ptynam;
    /**
     * 客户名称
     */
    public String ptytyp;
    /**
     * 所属国家地区代码
     */
    public String ctycod;
    /**
     * 组织机构代码
     */
    public String juscod;
    /**
     * 办公地址邮编
     */
    public String loccod;
    /**
     * 办公地址
     */
    public String locadr;
    /**
     * 客户类型
     */
    public String idcode;
    /**
     * 金融机构类型
     */
    public String akkcom;
    /**
     * 企业规模国标
     */
    public String qygmgb;
    /**
     * 所属集团客户编号
     */
    public String Partground_No;


}
