package com.brilliance.isc.bo;


import com.brilliance.mda.runtime.mda.util.Decimals;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
 * TABLE:bhd:
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Bhd {

    private String journo = NULLSTR;

    private String workdate = NULLSTR;

    private String reserve = NULLSTR;

    private String sendorgcode = NULLSTR;

    private String rcvorgcode = NULLSTR;

    private String noticetype = NULLSTR;
    private String limitchangetime = NULLSTR;
    private String bklettercode = NULLSTR;
    private String cuslettercode = NULLSTR;
    private BigDecimal traamt = Decimals.ZERO_SCALE2;
    private BigDecimal lettersurplsamt = Decimals.ZERO_SCALE2;
    private String cusvouno = NULLSTR;
    private String guartype = NULLSTR;
    private String reqdate = NULLSTR;
    private String reqtime = NULLSTR;
    private String remark1 = NULLSTR;
    private String remark2 = NULLSTR;
    private String remark3 = NULLSTR;
    private String remark4 = NULLSTR;
    private String remark5 = NULLSTR;
    private String remark6 = NULLSTR;
}