package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * TABLE:invmon - 发票监控表
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Invmon {

    //INR
    private String inr = NULLSTR;

    //发票号码
    private String invnum;

    //发票代码
    private String invcod;

    //监控截止日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date enddat;

    //唯一流水号
    private String wylsh = NULLSTR;

    //关联业务编号
    private  String ownref = NULLSTR;

}
