package com.brilliance.isc.bo;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:ptm:PTM - Authentication Info of Communication Channel
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Ptm {

        //Internal Unique ID of Authentication Info of Communication Channel
        private String inr = NULLSTR;

        //INR of Associated Party Address Association PTA
        private String ptainr = NULLSTR;

        //Output Chanel SWT, LET, TLX, TCO
        private String cortyp = NULLSTR;

        //Address of Message BIC, TID, i.e.
        private String coradr = NULLSTR;

        //Authenticator Exchanged Flag
        private String autflg = NULLSTR;

        //Optional Authentication Key Public Key
        private String autdet = NULLSTR;

        //Version Counter
        private String ver = NULLSTR;

        //Entity owning PTM entry
        private String etyextkey = NULLSTR;
}