package com.brilliance.isc.bo;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:txflog:
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Txflog extends AbstractCommonVo {

        //TXFLOG INR
        private String inr = NULLSTR;

        //TXFORM INR
        private String txforminr = NULLSTR;

        //TXPAYM INR
        private String txpayminr = NULLSTR;

        //备案表编号
        private String rcrdno = NULLSTR;

        //付汇业务编号
        private String bsnsrlno = NULLSTR;

        //用户操作类型
        private String updtyp = NULLSTR;

        //操作柜员
        private String updusr = NULLSTR;

        //用户操作时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date updtim = NULLDATE;

        //操作交易名称
        private String inifrm = NULLSTR;

        //业务所属机构
        private String branch = NULLSTR;
















}