package com.brilliance.isc.bo.model;

import java.util.*;
import java.math.BigDecimal;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;



/**
 *
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Ebcp{
    //操作类型
    private  String actiontype = NULLSTR;
    //删除原因
    private  String actiondesc = NULLSTR;
    //对外担保编号
    private  String exguarancode = NULLSTR;
    //履约编号
    private  String complianceno = NULLSTR;
    //担保人代码
    private  String guarantorcode = NULLSTR;
    //银行业务参号
    private  String buscode = NULLSTR;
    //受益人代码
    private  String bencode = NULLSTR;
    //受益人中文名称
    private  String bename = NULLSTR;
    //受益人英文名称
    private  String benamen = NULLSTR;
    //履约日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private  Date guperdate;
    //履约币种
    private  String gupercurr = NULLSTR;
    //履约金额
    private  BigDecimal guperamount = Decimals.ZERO_SCALE2;
    //?'?汇履约金额
    private  BigDecimal pguperamount = Decimals.ZERO_SCALE2;
    //备注
    private  String remark = NULLSTR;
    //确认
    private  String acp = NULLSTR;
    //INFFLG
    private  String infflg = NULLSTR;
    //接口状态
    private  String sta = NULLSTR;
    //是否显示页面
    private  String invflg = NULLSTR;
    //ROW FLG
    private  int rowflg;

//    @JsonIgnore
//    private transient IPanel vrfpp;
//
//    @Module(getter = false, setter = false)
//    private transient ModuleHolder<Cutp> cutp;


}

