package com.brilliance.isc.bo.model;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 *
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Fxtp extends AbstractCommonVo {
    private static Logger log = LoggerFactory.getLogger(Fxtp.class);

    //Amount Label (max=30)
    private String amtlab = NULLSTR;
    //Amount LabelCNY (max=30)
    private String cnylab = NULLSTR;
    //Quote Flag (max=1)
    private String quoflg = NULLSTR;
    //钞汇标志 (max=1)
    private String cshflg = NULLSTR;
    //Calculate (max=1)
    private String calflg = NULLSTR;
    //外币 (max=1)
    private String frgchk = NULLSTR;
    //人民币 (max=1)
    private String cnychk = NULLSTR;


    @Override
    public void reset() {
        super.reset();
    }
}