package com.brilliance.isc.common.api.usrmd.vo;

import com.brilliance.isc.bo.Umd;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.util.List;

@Data
@Builder
@ApiModel(value = "统一名单请求返回信息", description = "统一名单返回信息")
public class UsrmdResponse extends AbstractCommonVo {

    @ApiModelProperty(value = "统一名单筛查记录", name = "umdList", required = true)
    private List<Umd> umdList;

    @ApiModelProperty(value = "统一名单案例编号", name = "caseno", required = true)
    private String caseno;

    @ApiModelProperty(value = "统一名单交易对手名称", name = "bennam", required = true)
    private String bennam;

    @ApiModelProperty(value = "是否需要筛查名单", name = "bennam", required = true)
    private String excuteflg;

}
