package com.brilliance.isc.common.liaall.vo;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
public class AcceptLineVo extends AbstractCommonVo {

    //业务
    private String trntyp;

    //类型
    private String cbtpfx;

    //到期日
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date matdat;

    //币种
    private String cur;

    //初始金额
    private BigDecimal oldamt = BigDecimal.ZERO;

    //记账金额
    private BigDecimal amt = BigDecimal.ZERO;

    //账号
    private String acc;

    //pteinr
    private String pteinr;

    //matdat是否可以编辑 X表示不可以编辑
    private String matdatDisable;
}
