package com.brilliance.isc.common.setfeg.fee;

import com.brilliance.mda.runtime.mda.util.Decimals;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
public class Setcbs {
    private  String objmod = NULLSTR;
    //CBC of new entry
    private  String cbc = NULLSTR;
    //EXTID of new entry
    private  String extid = NULLSTR;
    //Currency
    private  String cur = NULLSTR;
    //Amount to add
    private BigDecimal amt = Decimals.ZERO_SCALE2;
    //date the amount should be added
    private Date begdat;
    //Role leave empty for all
    private  String rol = NULLSTR;
}
