package com.brilliance.isc.vo.lg;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.sql.Date;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GcdInfoVo {

    private Long id;
//    索赔主键
    private String inr;
    /**
     * 保函主键
     */
    private String gidinr;

    /**
     * 索赔编号
     */
    private String ownref;

    /**
     *索赔序号
     */
    private int gcdnum;
    /**
     * 保函编号
     */
    private String gidownref;

    /**
     * 客户经理
     */
    private String ownusr;
    /**
     *
     * 保函种类
     */
    private String opentyp;

    /**
     * 开立类别
     */
    private String gidopentyp;

    /**
     * 业务发生日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date credat;

    /**
     *  受益人
     */

    private  String bennam;

    /**
     * 申请人
     */
    private String aplnam;

    /**
     * 开立金额
     */
    private BigDecimal gidamt;

    /**
     * 保函金额
     */

    private BigDecimal gidamt1;

    /**
     * 币种
     */
    private String cur;
    /**
     * 索赔金额
     */
    private BigDecimal gcdamt;
    /**
     * 索赔余额
     */
    private BigDecimal gcdopnamt;
    /**
     * 是否付款
     */
    private String isset;
    /**
     * 是否拒付退单
     */
    private String iscrjcor;

    /**
     * 是否持单拒付
     */
    private String isholdcrj;

    /**
     * 赔付状态
     */
    private  String claimsta;

    /**
     * 结清状态
     */
    private String clearsta;

    /**
     * 保函结清状态
     */
    private String clssta;

    /**
     * 未复核完成索赔登记数
     */
    private Integer clswatcnt;




}
