package com.brilliance.isc.vo.manager;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.bo.Lga;
import com.brilliance.isc.bo.Lgb;
import com.brilliance.isc.common.json.BigDecimalSerialize;
import com.brilliance.isc.model.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class LgbInfoVo extends BaseEntity {

    private String extkey = NULLSTR;

    private String nam = NULLSTR;

    private Lgb lgb;

    private Lga lga;

}
