package com.brilliance.isc.vo.model;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.vo.collection.Docgrdm;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class BftpVo extends AbstractCommonVo {

    //Panel Status  E-nable, D-isable, I-nvisible
    private  String pansta = NULLSTR;

    //unbalanced LIA Extids
    private  String liaextids = NULLSTR;

    //Processing Options
    private  String folwupopt = NULLSTR;

    //Add. amount
    private  String adaflg = NULLSTR;

    //MT752: Further Indentification
    private  String furide = NULLSTR;

    //Create 752
    private  String cre752flg = NULLSTR;

    //Register to Handle Discrepancies
    private  String dcrflg = NULLSTR;

    //Register to Send and Settle Documents
    private  String setnowflg = NULLSTR;

    //Language of correspon. to BEN
    private  String bendocuil = NULLSTR;

    //议付
    private  String yf = NULLSTR;

    //付款方式
    private  String fktype = NULLSTR;

    //寄单方式
    private  String jstype = NULLSTR;

    //补充/替换
    private  String trntyp = NULLSTR;

    //最迟装运/服务提供日
    private  String zchday = NULLSTR;

    //装运日期\\服务提供日
    private  String zydate = NULLSTR;

    //报文类型
    private  String msgtyp = NULLSTR;

    //支持版本2报文标志
    private  String msgflg = NULLSTR;
    private Docgrdm docgrdm;
    @Override
    public void reset() {
        if (docgrdm == null) {
            docgrdm = new Docgrdm();
        }
        docgrdm.reset();
    }
}
