package com.brilliance.isc.vo.model;


import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.io.Serializable;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties
public class TcrVo extends AbstractCommonVo implements Serializable {
    /**
     * 内部唯一流水号主键
     */
    private String inr = NULLSTR;

    /**
     * 版本号
     */
    private String ver = NULLSTR;

    /**
     * 人行报送状态
     */
    private String sta = NULLSTR;

    /**
     * 业务主键
     */
    private String levyno = NULLSTR;

    /**
     * 操作类型
     */
    private String opertype = NULLSTR;

    /**
     * 变更/撤销原因
     */
    private String actiondesc = NULLSTR;

    /**
     * 收款人帐号
     */
    private String payeeacct = NULLSTR;

    /**
     * 付款人常驻国家（地区）代码
     */
    private String payercountrycode = NULLSTR;

    /**
     * 付款人账户类型
     */
    private String payeraccttype = NULLSTR;

    /**
     * 付款人账号
     */
    private String payeracct = NULLSTR;

    /**
     * 是否退款
     */
    private String ifrefund = NULLSTR;

    /**
     * 原支出申报号码
     */
    private String oripaylevyno = NULLSTR;

    /**
     * 收入明细信息
     */
    private  int incomelist ;

    /**
     * 收入明细标识
     */
    private String incomeflg = NULLSTR;

    /**
     *银行机构代码
     */
    private String bankorgcode = NULLSTR;

    /**
     * 银行业务编号
     */
    private String banktrano = NULLSTR;

    /**
     *Initial Entity Code
     */
    private String ownextkey = NULLSTR;

    /**
     * 银行机构名称
     */
    private String sbankname = NULLSTR;
}
