package com.brilliance.isc.esb.model.bd;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

/**
 * 保函提前注销指令通知请求模型
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class ReqTlNotice {

    /**
     * 请求json串
     */
    public String data;

    /**
     * 保函保险编号
     */
    //public String baohanno;

    /**
     *  投保人名称
     */
    //public String payername;

    /**
     *  投保人统一社会信用代码
     */
    //public String payercode;

    /**
     *  受益人（被保险人）
     */
    //public String benefitname;

    /**
     *  受益人（被保险人）统一社会信用代码
     */
    //public String benefitcode;

    /**
     *  提前注销申请说明
     */
    //public String reason;
}
