package com.brilliance.isc.esb.model.clm;

import com.brilliance.isc.esb.model.AbsReqNew;
import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * CL82 额度流水查询请求对象
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ReqCL82 extends AbsReqNew {

    public ReqCL82() {
    }

    public ReqCL82(String ECIFNO, String EDBHAO, String EDPINZ, String QISHIR, String DAOQIR, String YWPZHO, String YEWUNO) {
        this.ECIFNO = ECIFNO;
        this.EDBHAO = EDBHAO;
        this.EDPINZ = EDPINZ;
        this.QISHIR = QISHIR;
        this.DAOQIR = DAOQIR;
        this.YWPZHO = YWPZHO;
        this.YEWUNO = YEWUNO;
    }

    /**
     * ECIF客户号[0,40]
     */
    public String ECIFNO;
    /**
     * 额度编号[0,40]
     */
    public String EDBHAO;
    /**
     * 额度品种[0,40]
     */
    public String EDPINZ;
    /**
     * 起始日[0,10]
     */
    public String QISHIR;
    /**
     * 结束日[0,10]
     */
    public String DAOQIR;
    /**
     * 业务品种[0,10]
     */
    public String YWPZHO;
    /**
     * 业务编号[0,40]
     */
    public String YEWUNO;

}
