package com.brilliance.isc.esb.model.clm;

import java.util.ArrayList;
import java.util.List;

public class ResOCL442 {

    public ResOCL442() {
    }

    public ResOCL442(String EDLSXH, String ECIENO, String KEHUMC, String JIAYJG, List<ItemFCL443> FCL443, List<ItemFCL444> FCL444, List<ItemFCL445> FCL445, List<ItemFCL446> FCL446) {
        this.EDLSXH = EDLSXH;
        this.ECIENO = ECIENO;
        this.KEHUMC = KEHUMC;
        this.JIAYJG = JIAYJG;
        this.FCL443 = FCL443;
        this.FCL444 = FCL444;
        this.FCL445 = FCL445;
        this.FCL446 = FCL446;
    }

    /**
     * 后台流水号[0,40]
     */
    public String EDLSXH;
    /**
     * 客户ECF号[0,40]
     */
    public String ECIENO;
    /**
     * 客户名称[0,100]
     */
    public String KEHUMC;
    /**
     * 交易结果[0,1]
     */
    public String JIAYJG;

    public List<ItemFCL443> FCL443 = new ArrayList<>();

    public List<ItemFCL444> FCL444 = new ArrayList<>();

    public List<ItemFCL445> FCL445 = new ArrayList<>();

    public List<ItemFCL446> FCL446 = new ArrayList<>();

    public static class ItemFCL443 {
        /**
         * 业务编号[0,40]
         */
        public String YEWUNO;
        /**
         * 占用额度编号[0,40]
         */
        public String ZYEDBH;
        /**
         * 占用额度明细编号[0,40]
         */
        public String ZYMXBH;
        /**
         * 额度币种[0,10]
         */
        public String BIZHON;
        /**
         * 额度品种[0,40]
         */
        public String EDCPDM;
        /**
         * 授信额度[0,24]
         */
        public String SHXEDU;
        /**
         * 已用额度[0,24]
         */
        public String YIYEDU;
        /**
         * 可用额度[0,24]
         */
        public String KEYEDU;
        /**
         * 拟占用/恢复金额[0,24]
         */
        public String NZYEDU;
        /**
         * 敞口额度[0,24]
         */
        public String CKZOED;
        /**
         * 已用敞口[0,24]
         */
        public String CKYYED;
        /**
         * 可用敞口[0,24]
         */
        public String CKKYED;
        /**
         * 拟占用/恢复敞口[0,24]
         */
        public String CKZYED;
        /**
         * 表外规模上限当前值[0,24]
         */
        public String BWSXDQ;
        /**
         * 表外规模上限已用值[0,24]
         */
        public String BWSXYY;
        /**
         * 表外规模上限可用值[0,24]
         */
        public String BWSXKY;
        /**
         * 拟占用/恢复表外规模上限额度[0,24]
         */
        public String BWSXZT;
        /**
         * 失败原因[0,200]
         */
        public String SHIBYY;
    }

    public static class ItemFCL444 {
        /**
         * 业务编号[0,40]
         */
        public String YEWUNO;
        /**
         * 同业ECIF客户号[0,40]
         */
        public String TYKHBH;
        /**
         * 同业SWIFT号[0,40]
         */
        public String TYSWIT;
        /**
         * 占用同业额度编号[0,40]
         */
        public String TYEDBH;
        /**
         * 占用同业明细额度编号[0,40]
         */
        public String TYMXBH;
        /**
         * 同业额度品种编号[0,40]
         */
        public String TYEDCP;
        /**
         * 同业额度币种[0,10]
         */
        public String TYEDBZ;
        /**
         * 同业授信额度[0,24]
         */
        public String TYSXED;
        /**
         * 同业已用额度[0,24]
         */
        public String TYYYED;
        /**
         * 同业可用额度[0,24]
         */
        public String TYKYED;
        /**
         * 同业拟占用额度[0,24]
         */
        public String TYZYED;
        /**
         * 同业敞口额度[0,24]
         */
        public String TYCKED;
        /**
         * 同业已用敞口[0,24]
         */
        public String TYYYCK;
        /**
         * 同业可用敞口[0,24]
         */
        public String TYKYCK;
        /**
         * 同业拟占用敞口[0,24]
         */
        public String TYZYCK;
        /**
         * 同业额度失败原因[0,200]
         */
        public String TYSBYY;
    }

    public static class ItemFCL445 {
        /**
         * 业务编号[0,40]
         */
        public String YEWUNO;
        /**
         * 国家授信额度[0,24]
         */
        public String GJSXED;
        /**
         * 国家已用额度[0,24]
         */
        public String GJYYED;
        /**
         * 国家可用额度[0,24]
         */
        public String GJKYED;
        /**
         * 国家拟占恢复用额度[0,24]
         */
        public String GJZYED;
        /**
         * 国家额度失败原因[0,200]
         */
        public String GJSBYY;

    }

    public static class ItemFCL446{

        /**
         * 业务编号[0,40]
         */
        public String YEWUNO;

        /**
         * 大洲授信度[0,24]
         */
        public String DZSXED;

        /**
         * 大洲已用额度[0,24]
         */
        public String DZYYED;
        /**
         * 大洲可用额度[0,24]
         */
        public String DZKYED;
        /**
         * 大洲拟占用恢复额度[0,24]
         */
        public String DZZYED;
        /**
         * 大洲额度失败原因[0,24]
         */
        public String DZSBYY;
    }

}
