package com.brilliance.isc.esb.model.ebmp;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 6705 swift汇款中台请求国结收汇确认对外请求对象
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
@JsonInclude(JsonInclude.Include.NON_NULL)
public class Req6705 {

    /**
     * 国结唯一流水号[0,15]
     */
    public String WYILSH;

    /**
     * 原国结经办交易号[0,20]
     */
    public String SPTINR;

    /**
     * 中台流水号[0,40]
     */
    public String ZHTLSH;

    /**
     * 第三方支付机构流水号[0,50]
     */
    public String SHLSH;

    /**
     * 是否允许收汇[0,1]
     */
    public String DSFFLG;

    /**
     * 原因[0,200]
     */
    public String DSFMSG;

    /**
     * 备用字段1[0,140]
     */
    public String BEYZD1;

    /**
     * 备用字段2[0,140]
     */
    public String BEYZD2;

    /**
     * 备用字段3[0,140]
     */
    public String BEYZD3;

}
