package com.brilliance.isc.esb.model.edmp;

import java.util.List;

public class ResONFP62 {
    /**
     * 查询结果
     * 0-查询失败
     * 1-查询成功
     * 9-系统异常
     */
    public String RESULT;
    /**
     * 错误代码
     */
    public String OUT_CODE;
    /**
     * 错误子代码
     */
    public String OUT_SUB_CODE;
    /**
     * 唯一流水号
     */
    public String SRC_SEQ_NUM;
    /**
     * 外部数据平台流水号
     */
    public String SID;
    /**
     * 发票代码
     */
    public String INVOICECODE;
    /**
     * 发票号码
     */
    public String INVOICENUMBER;
    /**
     * 发票类型
     * 004 专票，007 普票，026 电子发票，025 卷票，005 机动车，14 通行费，006 二手车发票，028 电子专票，31全电专票，32全电普票
     */
    public String INVOICETYPE;
    /**
     * 发票类型代码
     * 004 专票，007 普票，026 电子发票，025 卷票，005 机动车，14 通行费，006 二手车发票，028 电子专票，31全电专票，32全电普票
     */
    public String INVOICETYPECODE;
    /**
     * 开票日期（时间格式:YYYY-MM-DD）
     */
    public String BILLINGDATE;
    /**
     * 购方名称
     */
    public String PURCHASERNAME;
    /**
     * 买方电话
     * 发票类型为006 二手车有该字段
     */
    public String PURCHASERPHONE;
    /**
     * 购方税号
     */
    public String PURCHASERTAXNO;
    /**
     * 购方单位/个人地址
     * 发票类型为006 二手车有该字段
     */
    public String PURCHASERADDRESS;
    /**
     * 购方地址电话
     * 发票类型为004 专票，007 普票，026 电子发票，14 通行费，028 电子专票有该字段
     */
    public String PURCHASERADDRESSPHONE;
    /**
     * 购方开户行账号
     * 发票类型为004 专票，007 普票，026 电子发票，14 通行费，028 电子专票有该字段
     */
    public String PURCHASERBANK;
    /**
     * 销方地址电话
     * 发票类型为004 专票，007 普票，026 电子发票，14 通行费，028 电子专票有该字段
     */
    public String SALESADDRESSPHONE;
    /**
     * 销方地址
     * 票发票类型为005 机动车，006 二手车有该字段
     */
    public String SALESADDRESS;
    /**
     * 销方开户行
     * 004 专票，007 普票，026 电子发票，005 机动车，14 通行费
     */
    public String SALESBANK;
    /**
     * 销方开户行账户
     * 发票发票类型为005 机动车有该字段
     */
    public String SALESBANKNO;
    /**
     * 销方名称
     */
    public String SALESNAME;
    /**
     * 销方电话
     * 发票发票类型为005 机动车，006 二手车有该字段
     */
    public String SALESPHONE;
    /**
     * 销方税号
     */
    public String SALESTAXNO;
    /**
     * 合计金额
     */
    public String TOTALAMOUNT;
    /**
     * 合计税额
     */
    public String TOTALTAX;
    /**
     * 校验码
     */
    public String CHECKCODE;
    /**
     * 状态
     * 0 正常、1 失控、2 作废、3 红冲,4异常
     */
    public String STATE;
    /**
     * 价税合计
     */
    public String AMOUNTTAX;
    /**
     * 价税合计中文
     */
    public String AMOUNTTAXCN;
    /**
     * 厂牌型号
     * 发票发票类型为005 机动车有该字段
     */
    public String BRANDMODEL;
    /**
     * 合格证号
     * 发票发票类型为005 机动车有该字段
     */
    public String CERTIFICATENO;
    /**
     * 发动机号
     * 发票发票类型为005 机动车有该字段
     */
    public String ENGINENO;
    /**
     * 身份证号码/组织机构代码
     * 发票发票类型为005 机动车有该字段
     */
    public String IDCARDNO;
    /**
     * 进口证明书号
     * 发票发票类型为005 机动车有该字段
     */
    public String IMPORTCERTIFICATENO;
    /**
     * 商检单号
     * 发票发票类型为005 机动车有该字段
     */
    public String INSPECTIONLISTNO;
    /**
     * 机器编号
     */
    public String MACHINECODE;
    /**
     * 产地
     * 发票发票类型为005 机动车有该字段
     */
    public String ORIGINPLACE;
    /**
     * 限乘人数
     * 发票发票类型为005 机动车有该字段
     */
    public String PASSENGERSLIMITED;
    /**
     * 完税凭证
     * 发票发票类型为005 机动车有该字段
     */
    public String PAYMENTVOUCHERNO;
    /**
     * 备注
     * 发票发票类型为005 机动车有该字段
     */
    public String REMARKS;
    /**
     * 主管税务机关名称
     * 发票发票类型为005 机动车有该字段
     */
    public String TAXAUTHORITYNAME;
    /**
     * 主管税务机关代码
     * 发票发票类型为005 机动车有该字段
     */
    public String TAXAUTHORITYNO;
    /**
     * 车船吨位
     * 发票发票类型为005 机动车有该字段
     */
    public String TONNAGE;
    /**
     * 增值税税率或征收率
     * 发票发票类型为005 机动车有该字段
     */
    public String VATTAXRATE;
    /**
     * 车辆识别代号/车架号码
     * 发票发票类型为005 机动车有该字段
     */
    public String VEHICLENO;
    /**
     * 车辆类型
     * 发票发票类型为005 机动车有该字段
     */
    public String VEHICLETYPE;
    /**
     * 开票人
     */
    public String PAYEE;
    /**
     * 通行费标识
     */
    public String TOLLSIGN;
    /**
     * 经营拍卖单位
     * 发票发票类型为006 机动车有该字段
     */
    public String AUCTIONNAME;
    /**
     * 经营拍卖单位地址
     * 发票发票类型为006 机动车有该字段
     */
    public String AUCTIONADDRESS;
    /**
     * 经营拍卖单位电话
     * 发票发票类型为006 机动车有该字段
     */
    public String AUCTIONPHONE;
    /**
     * 经营拍卖单位纳税人识别号
     * 发票发票类型为006 机动车有该字段
     */
    public String AUCTIONTAXNO;
    /**
     * 车牌照号
     * 发票发票类型为006 机动车有该字段
     */
    public String CARNUMBER;
    /**
     * 登记证号
     * 发票发票类型为006 机动车有该字段
     */
    public String REGISTRATIONNUMBER;
    /**
     * 车价合计
     */
    public String TOTALPRICE;
    /**
     * 车价合计大写
     */
    public String TOTALPRICECN;
    /**
     * 二手车市场地址
     * 发票发票类型为006 机动车有该字段
     */
    public String USEDCARADDRESS;
    /**
     * 二手车市场
     * 发票发票类型为006 机动车有该字段
     */
    public String USEDCARNAME;
    /**
     * 二手车市场电话
     * 发票发票类型为006 机动车有该字段
     */
    public String USEDCARPHONE;
    /**
     * 二手车市场纳税人识别号
     * 发票发票类型为006 机动车有该字段
     */
    public String USEDCARTAXNO;
    /**
     * 二手车市场开户银行及账户
     * 发票发票类型为006 机动车有该字段
     */
    public String USEDCARBANK;
    /**
     * 转入地车辆车管所名称
     * 发票发票类型为006 机动车有该字段
     */
    public String VEHICLENOPLACENAME;
    /**
     * 首次登记标识
     * 0否1是
     */
    public String FIRSTSIGN;
    /**
     * 核验次数
     */
    public String CHECKTOTAL;
    /**
     * 本机构核验次数
     */
    public String CHECKOWN;
    /**
     * 其他机构核验次数
     */
    public String CHECKOTHER;
    /**
     * 监控次数
     */
    public String MONITORTOTAL;
    /**
     * 本机构监控次数
     */
    public String MONITOROWN;
    /**
     * 其他机构监控次数
     */
    public String MONITOROTHER;
    /**
     * RESERVE1
     */
    public String RESERVE1;
    /**
     * RESERVE2
     */
    public String RESERVE2;
    /**
     * RESERVE3
     */
    public String RESERVE3;
    /**
     * RESERVE4
     */
    public String RESERVE4;
    /**
     * RESERVE5
     */
    public String RESERVE5;
    /**
     * RESERVE6
     */
    public String RESERVE6;
    /**
     * FNFP61集合大小
     */
    public String FNFP61Size;
    public List<ItemFNFP61> FNFP61;
}
