package com.brilliance.isc.esb.model.gmgf;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import lombok.NoArgsConstructor;

@NoArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class ErrCusList {
    /**
     * 报关单号
     */
    public String customNo;
    /**
     * 错误code：
     * 002:核注金额有误
     * 003:未查到
     * 004:非进口/境
     * 005:与订单币种不一致
     * 006:不属于该用户
     * 007:未结关
     * 008:报关单号重复
     * 009:调用次数超限
     * 010:查询失败
     * 011:核注金额总额超过报关单总金额
     * 999:系统异常
     */
    public String errCode;
    /**
     * 备注
     */
    public String errDesc;

}
