package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * CL81  公共-额度查询交易请求
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerReqCL81 {
    /**
     * 客户类型
     */
    public String khtyp;
    /**
     * 客户ECIF号
     */
    public String extkey;
    /**
     * 同业SWIFT号
     */
    public String swiftno;
    /**
     * 组织机构代码
     */
    public String juscod;
    /**
     * 额度编号
     */
    public String limnum;
    /**
     * 额度品种
     */
    public String limvar;
    /**
     * 是否查询可串用额度
     */
    public String sfcxlm;
    /**
     * 额度状态
     */
    public String limsta;
    /**
     * 额度类型
     */
    public String limtyp;
    /**
     * 入账机构
     */
    public String rzbch;
    /**
     * 交易柜员
     */
    public String bchusr;
    /**
     * 机构代码
     */
    public String accbch;

    public InnerReqCL81() {
    }

    public InnerReqCL81(String khtyp, String extkey, String swiftno, String juscod, String limnum, String limvar, String sfcxlm, String limsta, String limtyp, String rzbch, String bchusr, String accbch) {
        this.khtyp = khtyp;
        this.extkey = extkey;
        this.swiftno = swiftno;
        this.juscod = juscod;
        this.limnum = limnum;
        this.limvar = limvar;
        this.sfcxlm = sfcxlm;
        this.limsta = limsta;
        this.limtyp = limtyp;
        this.rzbch = rzbch;
        this.bchusr = bchusr;
        this.accbch = accbch;
    }
}
