package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * 4102是核心提供的对公定期存款销户响应
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerRes4102 {
    public InnerRes4102(String guiyxm, String gulyxm, String jbsybh, String jyzyxx, String jiaoym, String zhangh, String kehzwm, String cunqii, String qixirq, String daoqrq, String jioyrq, String jio1je, String fdnglx, String fudngz, String lilvll, String shijll, String lixilx, String guiyls, String xiozxh, String zha1zh, String baoblj) {
        this.guiyxm = guiyxm;
        this.gulyxm = gulyxm;
        this.jbsybh = jbsybh;
        this.jyzyxx = jyzyxx;
        this.jiaoym = jiaoym;
        this.zhangh = zhangh;
        this.kehzwm = kehzwm;
        this.cunqii = cunqii;
        this.qixirq = qixirq;
        this.daoqrq = daoqrq;
        this.jioyrq = jioyrq;
        this.jio1je = jio1je;
        this.fdnglx = fdnglx;
        this.fudngz = fudngz;
        this.lilvll = lilvll;
        this.shijll = shijll;
        this.lixilx = lixilx;
        this.guiyls = guiyls;
        this.xiozxh = xiozxh;
        this.zha1zh = zha1zh;
        this.baoblj = baoblj;
    }

    public InnerRes4102() {
    }

    /**
     * 柜员姓名
     */
    public String guiyxm;
    /**
     * 管理员姓名
     */
    public String gulyxm;
    /**
     * 经办索引编号
     */
    public String jbsybh;
    /**
     * 交易摘要信息
     */
    public String jyzyxx;
    /**
     * 报文名
     */
    public String jiaoym;
    /**
     * 账号
     */
    public String zhangh;
    /**
     * 客户中文名
     */
    public String kehzwm;
    /**
     * 存期
     */
    public String cunqii;
    /**
     * 起息日
     */
    public String qixirq;
    /**
     * 到期日
     */
    public String daoqrq;
    /**
     * 交易日期
     */
    public String jioyrq;
    /**
     * 交易金额
     */
    public String jio1je;
    /**
     * 浮动类型
     */
    public String fdnglx;
    /**
     * 浮动值
     */
    public String fudngz;
    /**
     * 利率
     */
    public String lilvll;
    /**
     * 实际利率
     */
    public String shijll;
    /**
     * 利息
     */
    public String lixilx;
    /**
     * 柜员流水号
     */
    public String guiyls;
    /**
     * 销账序号
     */
    public String xiozxh;
    /**
     * 账号
     */
    public String zha1zh;
    /**
     * 报表路径
     */
    public String baoblj;

}
