package com.brilliance.isc.esb.model.inner;


import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.ArrayList;
import java.util.List;

/**
 * 8590 手动获取uetr号内部响应对象
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerRes8590 {

    public InnerRes8590() {
    }

    public InnerRes8590(String zongje, String bishuu, List<Item8590> lst8590) {
        this.zongje = zongje;
        this.bishuu = bishuu;
        this.lst8590 = lst8590;
    }

    /**
     * 总金额[0,15]
     */
    public String zongje;
    /**
     * 笔数[0,7]
     */
    public String bishuu;

    public List<Item8590> lst8590 = new ArrayList<>();

    @JsonInclude(JsonInclude.Include.NON_NULL)
    public static class Item8590{
        /**
         * 报文流水号[0,16]
         */
        public String baowls;
        /**
         * 报文内序号[0,3]
         */
        public String baowns;
        /**
         * 各用字段40位[0,40]
         */
        public String beiy40;
        /**
         * 货币代号[0,2]
         */
        public String huobdh;
        /**
         * 交易金额[0,15]
         */
        public String jio1je;
        /**
         * 报文类型[0,5]
         */
        public String baowlx;
        /**
         * 报文状态[0,1]
         */
        public String baowzt;
        /**
         * 起息日[0,8]
         */
        public String qixiri;
        /**
         * 发报行BIC[0,11]
         */
        public String fbhbic;
        /**
         * 帐户行BIC号码[0,11]
         */
        public String zhhbic;
        /**
         * 报文种类[0,1]
         */
        public String baowzl;
        /**
         * 勾对报文流水号[0,16]
         */
        public String gdbwls;
        /**
         * 勾对报文内序号[0,3]
         */
        public String gdbwnx;
        /**
         * 备用字段1位[0,1]
         */
        public String beiy01;
        /**
         * 备用字符[0,20]
         */
        public String beiyzf;
        /**
         * 备注信息[0,128]
         */
        public String beizxx;
    }

}
