package com.brilliance.isc.esb.model.whj.content.export;

import com.brilliance.isc.esb.model.whj.content.UnCryptContent;
import lombok.Data;

import java.util.List;

/**
 * /v1/asset/bank-apply  银行代企业录入融资申请
 *
 * */

@Data
public class BankApplyContent extends UnCryptContent {
    public Long amount;

    public Long applyAmount;

    public String applyEntCode;

    public String contractEndDate;

    public String currency;

    public List<Invoice> invoices;

    public String policyNo;

    public String agreementNo;
}
